aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJa.KooLit <85185940+JaKooLit@users.noreply.github.com>2024-09-19 12:00:16 +0900
committerGitHub <noreply@github.com>2024-09-19 12:00:16 +0900
commit4fe21c27c6433888561df7596f882c1dff97533f (patch)
treec8f35393363f7f2de7ae6b5572c5f8bfe3fa4ec1
parent453ba552c03d982aa3649892160ff44244ca27e2 (diff)
parent90794ab39de7b8acdcd8191231c3852f72498f9b (diff)
Merge pull request #451 from JaKooLit/main
main to development
-rw-r--r--config/hypr/UserConfigs/WindowRules.conf1
-rwxr-xr-xconfig/hypr/UserScripts/ZshChangeTheme.sh36
-rwxr-xr-xconfig/hypr/scripts/Polkit.sh1
-rw-r--r--config/hypr/v2.3.7 (renamed from config/hypr/v2.3.6-D)0
-rw-r--r--config/waybar/Modules2
-rw-r--r--config/waybar/ModulesWorkspaces4
-rwxr-xr-xcopy.sh109
7 files changed, 94 insertions, 59 deletions
diff --git a/config/hypr/UserConfigs/WindowRules.conf b/config/hypr/UserConfigs/WindowRules.conf
index 26b7a7c2..6c8fcb7f 100644
--- a/config/hypr/UserConfigs/WindowRules.conf
+++ b/config/hypr/UserConfigs/WindowRules.conf
@@ -30,6 +30,7 @@ windowrulev2 = workspace 1, class:^([Tt]hunderbird)$
windowrulev2 = workspace 2, class:^([Ff]irefox|org.mozilla.firefox|[Ff]irefox-esr)$
windowrulev2 = workspace 2, class:^([Mm]icrosoft-edge(-stable|-beta|-dev|-unstable)?)$
windowrulev2 = workspace 2, class:^([Gg]oogle-chrome(-beta|-dev|-unstable)?)$
+windowrulev2 = workspace 2, class:^([Tt]horium-browser)$
#windowrulev2 = workspace 3, class:^([Tt]hunar)$
windowrulev2 = workspace 4, class:^(com.obsproject.Studio)$
windowrulev2 = workspace 5, class:^([Ss]team)$
diff --git a/config/hypr/UserScripts/ZshChangeTheme.sh b/config/hypr/UserScripts/ZshChangeTheme.sh
index 46d2249e..f06f2b60 100755
--- a/config/hypr/UserScripts/ZshChangeTheme.sh
+++ b/config/hypr/UserScripts/ZshChangeTheme.sh
@@ -1,10 +1,19 @@
#!/bin/bash
+# /* ---- 💫 https://github.com/JaKooLit 💫 ---- */ ##
+# Script for Oh my ZSH theme ( CTRL SHIFT O)
+
+# preview of theme can be view here: https://github.com/ohmyzsh/ohmyzsh/wiki/Themes
+
+# after choosing theme, TTY need to be closed and re-open
themes_dir="$HOME/.oh-my-zsh/themes"
file_extension=".zsh-theme"
themes_array=($(find "$themes_dir" -type f -name "*$file_extension" -exec basename {} \; | sed -e "s/$file_extension//"))
+# Add "Random" option to the beginning of the array
+themes_array=("Random" "${themes_array[@]}")
+
rofi_command="rofi -i -dmenu -config ~/.config/rofi/config-zsh-theme.rasi"
menu() {
@@ -16,23 +25,28 @@ menu() {
main() {
choice=$(menu | ${rofi_command})
- # if nothing selected, script wont change anything
+ # if nothing selected, script won't change anything
if [ -z "$choice" ]; then
exit 0
fi
zsh_path="$HOME/.zshrc"
var_name="ZSH_THEME"
- for i in "${themes_array[@]}"; do
- if [[ "$i" == "$choice"* ]]; then
- if [ -f "$zsh_path" ]; then
- sed -i "s/^$var_name=.*/$var_name=\"$i\"/" "$zsh_path"
- else
- echo "File not found"
- fi
- break
- fi
- done
+
+ if [[ "$choice" == "Random" ]]; then
+ # Pick a random theme from the original themes_array (excluding "Random")
+ random_theme=${themes_array[$((RANDOM % (${#themes_array[@]} - 1) + 1))]}
+ theme_to_set="$random_theme"
+ else
+ # Set theme to the selected choice
+ theme_to_set="$choice"
+ fi
+
+ if [ -f "$zsh_path" ]; then
+ sed -i "s/^$var_name=.*/$var_name=\"$theme_to_set\"/" "$zsh_path"
+ else
+ echo "File not found"
+ fi
}
main
diff --git a/config/hypr/scripts/Polkit.sh b/config/hypr/scripts/Polkit.sh
index 80310ba0..a52aed8e 100755
--- a/config/hypr/scripts/Polkit.sh
+++ b/config/hypr/scripts/Polkit.sh
@@ -8,6 +8,7 @@ polkit=(
"/usr/lib/polkit-kde-authentication-agent-1"
"/usr/lib/polkit-gnome-authentication-agent-1"
"/usr/libexec/polkit-gnome-authentication-agent-1"
+ "/usr/libexec/polkit-mate-authentication-agent-1"
"/usr/lib/x86_64-linux-gnu/libexec/polkit-kde-authentication-agent-1"
"/usr/lib/policykit-1-gnome/polkit-gnome-authentication-agent-1"
)
diff --git a/config/hypr/v2.3.6-D b/config/hypr/v2.3.7
index 31b3414d..31b3414d 100644
--- a/config/hypr/v2.3.6-D
+++ b/config/hypr/v2.3.7
diff --git a/config/waybar/Modules b/config/waybar/Modules
index 933f8a8d..e825e53b 100644
--- a/config/waybar/Modules
+++ b/config/waybar/Modules
@@ -539,7 +539,7 @@
"custom/swaync": {
"tooltip": true,
"tooltip-format": "Left Click: Launch Notification Center\nRight Click: Do not Disturb",
- "format": "{}{icon}",
+ "format": "{} {icon}",
"format-icons": {
"notification": "<span foreground='red'><sup></sup></span>",
"none": "",
diff --git a/config/waybar/ModulesWorkspaces b/config/waybar/ModulesWorkspaces
index d92afd91..750c3488 100644
--- a/config/waybar/ModulesWorkspaces
+++ b/config/waybar/ModulesWorkspaces
@@ -158,14 +158,14 @@
"title<.*amazon.*>": " ",
"title<.*reddit.*>": " ",
"title<.*Picture-in-Picture.*>": " ",
- "class<firefox|org.mozilla.firefox|>": " ",
+ "class<[Ff]irefox|org.mozilla.firefox|[Ff]irefox-esr>": " ",
"class<kitty|konsole>": " ",
"class<kitty-dropterm>": " ",
"class<Chromium>": " ",
"class<org.telegram.desktop|io.github.tdesktop_x64.TDeskto>": " ",
"class<[Ss]potify>": " ",
"class<VSCode|code-url-handler|code-oss|codium|codium-url-handler|VSCodium>": "󰨞 ",
- "class<thunar>": "󰝰 ",
+ "class<[Tt]hunar>": "󰝰 ",
"class<[Tt]hunderbird|[Tt]hunderbird-esr>": " ",
"class<discord|[Ww]ebcord>": " ",
"class<subl>": "󰅳 ",
diff --git a/copy.sh b/copy.sh
index 45b614f9..5c53cf62 100755
--- a/copy.sh
+++ b/copy.sh
@@ -333,8 +333,6 @@ printf "\n"
# Copy Config Files #
set -e # Exit immediately if a command exits with a non-zero status.
-printf "${NOTE} - Copying dotfiles first part\n"
-
# Function to create a unique backup directory name with month, day, hours, and minutes
get_backup_dirname() {
local timestamp
@@ -342,51 +340,17 @@ get_backup_dirname() {
echo "back-up_${timestamp}"
}
-# Check if the config directory exists
-if [ ! -d "config" ]; then
- echo "${ERROR} - The 'config' directory does not exist."
- exit 1
-fi
-
-for DIR in btop cava hypr Kvantum qt5ct qt6ct swappy wallust wlogout; do
- DIRPATH=~/.config/"$DIR"
-
- # Backup the existing directory if it exists
- if [ -d "$DIRPATH" ]; then
- echo -e "${NOTE} - Config for $DIR found, attempting to back up."
- BACKUP_DIR=$(get_backup_dirname)
-
- # Backup the existing directory
- mv "$DIRPATH" "$DIRPATH-backup-$BACKUP_DIR" 2>&1 | tee -a "$LOG"
- if [ $? -eq 0 ]; then
- echo -e "${NOTE} - Backed up $DIR to $DIRPATH-backup-$BACKUP_DIR."
- else
- echo "${ERROR} - Failed to back up $DIR."
- exit 1
- fi
- fi
-
- # Copy the new config
- if [ -d "config/$DIR" ]; then
- cp -r "config/$DIR" ~/.config/"$DIR" 2>&1 | tee -a "$LOG"
- if [ $? -eq 0 ]; then
- echo "${OK} - Copy of config for $DIR completed!"
- else
- echo "${ERROR} - Failed to copy $DIR."
- exit 1
- fi
- else
- echo "${ERROR} - Directory config/$DIR does not exist to copy."
- exit 1
- fi
-done
-
-printf "\n"
-
-printf "${NOTE} - copying dotfiles second part\n"
+printf "${NOTE} - copying dotfiles first part\n"
# Config directories which will ask the user whether to replace or not
-DIRS="ags fastfetch kitty nvim rofi swaync waybar"
+DIRS="
+ ags
+ fastfetch
+ kitty
+ rofi
+ swaync
+ waybar
+"
for DIR2 in $DIRS; do
DIRPATH=~/.config/"$DIR2"
@@ -439,6 +403,61 @@ done
printf "\n%.0s" {1..1}
+printf "${NOTE} - Copying dotfiles second part\n"
+
+# Check if the config directory exists
+if [ ! -d "config" ]; then
+ echo "${ERROR} - The 'config' directory does not exist."
+ exit 1
+fi
+
+DIR="
+ btop
+ cava
+ hypr
+ Kvantum
+ qt5ct
+ qt6ct
+ swappy
+ wallust
+ wlogout
+"
+
+for DIR_NAME in $DIR; do
+ DIRPATH=~/.config/"$DIR_NAME"
+
+ # Backup the existing directory if it exists
+ if [ -d "$DIRPATH" ]; then
+ echo -e "${NOTE} - Config for $DIR_NAME found, attempting to back up."
+ BACKUP_DIR=$(get_backup_dirname)
+
+ # Backup the existing directory
+ mv "$DIRPATH" "$DIRPATH-backup-$BACKUP_DIR" 2>&1 | tee -a "$LOG"
+ if [ $? -eq 0 ]; then
+ echo -e "${NOTE} - Backed up $DIR_NAME to $DIRPATH-backup-$BACKUP_DIR."
+ else
+ echo "${ERROR} - Failed to back up $DIR_NAME."
+ exit 1
+ fi
+ fi
+
+ # Copy the new config
+ if [ -d "config/$DIR_NAME" ]; then
+ cp -r "config/$DIR_NAME" ~/.config/"$DIR_NAME" 2>&1 | tee -a "$LOG"
+ if [ $? -eq 0 ]; then
+ echo "${OK} - Copy of config for $DIR_NAME completed!"
+ else
+ echo "${ERROR} - Failed to copy $DIR_NAME."
+ exit 1
+ fi
+ else
+ echo "${ERROR} - Directory config/$DIR_NAME does not exist to copy."
+ exit 1
+ fi
+done
+
+printf "\n"
+
# copying Wallpapers
mkdir -p ~/Pictures/wallpapers
cp -r wallpapers ~/Pictures/ && { echo "${OK} some wallpapers compied!"; } || { echo "${ERROR} Failed to copy some wallpapers."; exit 1; } 2>&1 | tee -a "$LOG"
send patches to the email below
yukais@pinapelz.com
include the subject [PATCH repo_name]
pinapelz.com
homepage